package com.qmth.sop.business.bean.result;

import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>

 * </p>
 *
 * @author dhshu
 * @since 2023-08-01
 */

public class SysMessageResult implements Serializable {

    @ApiModelProperty(value = "档案流水号")
    private String code;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "供应商")
    private String supplier;


    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "常居省份")
    private String province;

    @ApiModelProperty(value = "常居城市")
    private String city;

    @ApiModelProperty(value = "服务单元")
    private String service;

    @ApiModelProperty(value = "客户名称")
    private String custom;

    @ApiModelProperty(value = "客户类型")
    private ProductTypeEnum type;


    @ApiModelProperty(value = "消息查阅时间")
    private Long receiveTime;

    @ApiModelProperty(value = "联系电话")
    private String mobileNumber;

    @ApiModelProperty(value = "回执状态")
    private Boolean status;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public ProductTypeEnum getType() {
        return type;
    }

    public void setType(ProductTypeEnum type) {
        this.type = type;
    }

    public Long getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Long receiveTime) {
        this.receiveTime = receiveTime;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }
}
